Loading...
Searching...
No Matches
itk::ImageGridSampler< TInputImage >::WorkUnit Struct Reference

## Detailed Description

template<class TInputImage>
struct itk::ImageGridSampler< TInputImage >::WorkUnit

Definition at line 155 of file itkImageGridSampler.h.

## Data Fields

const SampleGridIndexType | GridIndex {}
const SampleGridSizeType | GridSize {}
vcl_size_t | NumberOfSamples {}
ImageSampleType *const | Samples {}

## Field Documentation

## GridIndex

template<class TInputImage>

const SampleGridIndexType itk::ImageGridSampler< TInputImage >::WorkUnit::GridIndex {}

Definition at line 157 of file itkImageGridSampler.h.

## GridSize

template<class TInputImage>

const SampleGridSizeType itk::ImageGridSampler< TInputImage >::WorkUnit::GridSize {}

Definition at line 158 of file itkImageGridSampler.h.

## NumberOfSamples

template<class TInputImage>

vcl_size_t itk::ImageGridSampler< TInputImage >::WorkUnit::NumberOfSamples {}

Definition at line 164 of file itkImageGridSampler.h.

## Samples

template<class TInputImage>

ImageSampleType* const itk::ImageGridSampler< TInputImage >::WorkUnit::Samples {}

Definition at line 161 of file itkImageGridSampler.h.

Generated on 1768596610 for elastix by 1.15.0 |